function::fullpath_struct_nameidata
Prev | Chapter 21. Directory-entry (dentry) Tapset | Next

## Name

function::fullpath_struct_nameidata — get the full nameidata path

## Synopsis

        fullpath_struct_nameidata(nd:)

## Arguments

`nd`

  Pointer to “struct nameidata”.

## Description

Returns the full dirent name (full path to the root), like the kernel (and systemtap-tapset) d_path function, with a “/”.

Prev | Up | Next
function::fullpath_struct_file | Home | function::fullpath_struct_path